Update an existing tool.
Update an existing tool.
PATCH
/api/tools/{id}Path parameters
idnumberrequiredPath parameter: id
Body
namestringdescriptionstringdocker_imagestringcommandstringcategorystringoutput_parameterstringoutput_typeobjectinputsobjectsource_urlstring | enumdoc_linkstring | enumlicense_infoobjectrequiredRequest
curl
curl -X PATCH https://platform.trickest.com/api/tools/{id} \
-H "Authorization: Bearer $TRICKEST_TOKEN" \
-H "Content-Type: application/json" \
-d '{ }'Responses
200Tool updated successfully
idstringrequirednamestringrequireddescriptionstringtypeenumrequiredOne of: TOOL, SCRIPT, MODULE
categorystringauthorstringinputsobject[]outputsobject[]workflowstringvaultstringvault_infoobject400Bad Request – validation error or malformed input
codestringmessagestring401Unauthorized – missing or expired token
codestringmessagestring500Internal Server Error
codestringmessagestring